%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%define pear_name File_Bittorrent2

Name:           php-pear-File-Bittorrent2
Version:        1.3.1
Release:        1%{?dist}
Summary:        Decode and Encode data in Bittorrent format

Group:          Development/Libraries
License:        LGPLv2
URL:            http://pear.php.net/package/File_Bittorrent2
Source0:        http://pear.php.net/get/%{pear_name}-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  php-pear >= 1:1.4.9-1.2
BuildRequires:  dos2unix
Requires(post): %{__pear}
Requires(postun): %{__pear}
Provides:       php-pear(%{pear_name}) = %{version}


%description
This package consists of three classes which handles the encoding and
decoding of data in Bittorrent format.
You can also extract useful informations from .torrent files,
create .torrent files and query the torrent's scrape page to get its
statistics.
PHP5 only.

%prep
%setup -q -c
cd %{pear_name}-%{version}
#dos2unix torrentinfo.php
#dos2unix scrape.php
#dos2unix example.php
cd ..
[ -f package2.xml ] || mv package.xml package2.xml
mv package2.xml %{pear_name}-%{version}/%{pear_name}.xml
cd %{pear_name}-%{version}


%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
cd %{pear_name}-%{version}
rm -rf $RPM_BUILD_ROOT docdir
%{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{pear_name}.xml

# Move documentation
mkdir -p docdir
mv $RPM_BUILD_ROOT%{pear_docdir}/* docdir


# Clean up unnecessary files
rm -rf $RPM_BUILD_ROOT%{pear_phpdir}/.??*

# Install XML package description
mkdir -p $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{pear_name}.xml $RPM_BUILD_ROOT%{pear_xmldir}


%clean
rm -rf $RPM_BUILD_ROOT


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{pear_name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc %{pear_name}-%{version}/docdir/%{pear_name}/*

%{pear_xmldir}/%{pear_name}.xml
# TODO upstream: pear_testdir and pear_datadir; they are currently OK though,
# caught by the below glob since they are withing pear_phpdir
# Expand this as needed to avoid owning dirs owned by our dependencies
%{pear_phpdir}/*


%changelog
* Thu Jul 16 2009 David Nalley <david@gnsa.us>  1.3.1-1
- Initial packaging
